org.apache.cayenne.configuration

## Class XMLDataChannelDescriptorLoader

- java.lang.Object
- - org.apache.cayenne.configuration.XMLDataChannelDescriptorLoader

- All Implemented Interfaces:
    DataChannelDescriptorLoader

      public class XMLDataChannelDescriptorLoader
      extends Object
      implements DataChannelDescriptorLoader

  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DataMapLoader` | `dataMapLoader`
    `protected ConfigurationNameMapper` | `nameMapper`
    `protected AdhocObjectFactory` | `objectFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLDataChannelDescriptorLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigurationTree<DataChannelDescriptor>` | `load(Resource configurationResource)` Loads a DataChannelDescriptor from some configuration resource, usually an XML file found on classpath.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataMapLoader

          protected DataMapLoader dataMapLoader

    - #### nameMapper

          protected ConfigurationNameMapper nameMapper

    - #### objectFactory

          protected AdhocObjectFactory objectFactory

  - ### Constructor Detail

    - #### XMLDataChannelDescriptorLoader

          public XMLDataChannelDescriptorLoader()

  - ### Method Detail

    - #### load

          public ConfigurationTree<DataChannelDescriptor> load(Resource configurationResource)
                                                        throws ConfigurationException

      Description copied from interface: `DataChannelDescriptorLoader`
      Loads a DataChannelDescriptor from some configuration resource, usually an XML file found on classpath.
      Specified by:
        `load` in interface `DataChannelDescriptorLoader`
      Throws:
        `ConfigurationException`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.